IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff07:3000::/20- First address
ff07:3000::- Last address
ff07:3fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff07:3000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
3.7.0.f.f.ip6.arpa
Split into smaller subnets
ff07:3000::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff07:3000::/32 | ff07:3000:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff07:3001::/32 | ff07:3001:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff07:3002::/32 | ff07:3002:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff07:3003::/32 | ff07:3003:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff07:3004::/32 | ff07:3004:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff07:3005::/32 | ff07:3005:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff07:3006::/32 | ff07:3006:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff07:3007::/32 | ff07:3007:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff07:3008::/32 | ff07:3008:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff07:3009::/32 | ff07:3009:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff07:300a::/32 | ff07:300a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff07:300b::/32 | ff07:300b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff07:300c::/32 | ff07:300c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff07:300d::/32 | ff07:300d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff07:300e::/32 | ff07:300e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff07:300f::/32 | ff07:300f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff07:3010::/32 | ff07:3010:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff07:3011::/32 | ff07:3011:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff07:3012::/32 | ff07:3012:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff07:3013::/32 | ff07:3013:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff07:3014::/32 | ff07:3014:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff07:3015::/32 | ff07:3015:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff07:3016::/32 | ff07:3016:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff07:3017::/32 | ff07:3017:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff07:3018::/32 | ff07:3018:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff07:3019::/32 | ff07:3019:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff07:301a::/32 | ff07:301a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff07:301b::/32 | ff07:301b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff07:301c::/32 | ff07:301c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff07:301d::/32 | ff07:301d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff07:301e::/32 | ff07:301e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff07:301f::/32 | ff07:301f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff07:3020::/32 | ff07:3020:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff07:3021::/32 | ff07:3021:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff07:3022::/32 | ff07:3022:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff07:3023::/32 | ff07:3023:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff07:3024::/32 | ff07:3024:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff07:3025::/32 | ff07:3025:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff07:3026::/32 | ff07:3026:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff07:3027::/32 | ff07:3027:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff07:3028::/32 | ff07:3028:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff07:3029::/32 | ff07:3029:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff07:302a::/32 | ff07:302a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff07:302b::/32 | ff07:302b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff07:302c::/32 | ff07:302c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff07:302d::/32 | ff07:302d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff07:302e::/32 | ff07:302e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff07:302f::/32 | ff07:302f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff07:3030::/32 | ff07:3030:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff07:3031::/32 | ff07:3031:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff07:3032::/32 | ff07:3032:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff07:3033::/32 | ff07:3033:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff07:3034::/32 | ff07:3034:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff07:3035::/32 | ff07:3035:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff07:3036::/32 | ff07:3036:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff07:3037::/32 | ff07:3037:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff07:3038::/32 | ff07:3038:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff07:3039::/32 | ff07:3039:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff07:303a::/32 | ff07:303a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff07:303b::/32 | ff07:303b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff07:303c::/32 | ff07:303c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff07:303d::/32 | ff07:303d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff07:303e::/32 | ff07:303e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff07:303f::/32 | ff07:303f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff07:3040::/32 | ff07:3040:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff07:3041::/32 | ff07:3041:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff07:3042::/32 | ff07:3042:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff07:3043::/32 | ff07:3043:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff07:3044::/32 | ff07:3044:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff07:3045::/32 | ff07:3045:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff07:3046::/32 | ff07:3046:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff07:3047::/32 | ff07:3047:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff07:3048::/32 | ff07:3048:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff07:3049::/32 | ff07:3049:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff07:304a::/32 | ff07:304a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff07:304b::/32 | ff07:304b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff07:304c::/32 | ff07:304c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff07:304d::/32 | ff07:304d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff07:304e::/32 | ff07:304e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff07:304f::/32 | ff07:304f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff07:3050::/32 | ff07:3050:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff07:3051::/32 | ff07:3051:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff07:3052::/32 | ff07:3052:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff07:3053::/32 | ff07:3053:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff07:3054::/32 | ff07:3054:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff07:3055::/32 | ff07:3055:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff07:3056::/32 | ff07:3056:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff07:3057::/32 | ff07:3057:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff07:3058::/32 | ff07:3058:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff07:3059::/32 | ff07:3059:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff07:305a::/32 | ff07:305a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff07:305b::/32 | ff07:305b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff07:305c::/32 | ff07:305c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff07:305d::/32 | ff07:305d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff07:305e::/32 | ff07:305e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff07:305f::/32 | ff07:305f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff07:3060::/32 | ff07:3060:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff07:3061::/32 | ff07:3061:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff07:3062::/32 | ff07:3062:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff07:3063::/32 | ff07:3063:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff07:3064::/32 | ff07:3064:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff07:3065::/32 | ff07:3065:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff07:3066::/32 | ff07:3066:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff07:3067::/32 | ff07:3067:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff07:3068::/32 | ff07:3068:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff07:3069::/32 | ff07:3069:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff07:306a::/32 | ff07:306a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff07:306b::/32 | ff07:306b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff07:306c::/32 | ff07:306c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff07:306d::/32 | ff07:306d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff07:306e::/32 | ff07:306e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff07:306f::/32 | ff07:306f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff07:3070::/32 | ff07:3070:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff07:3071::/32 | ff07:3071:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff07:3072::/32 | ff07:3072:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff07:3073::/32 | ff07:3073:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff07:3074::/32 | ff07:3074:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff07:3075::/32 | ff07:3075:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff07:3076::/32 | ff07:3076:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff07:3077::/32 | ff07:3077:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff07:3078::/32 | ff07:3078:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff07:3079::/32 | ff07:3079:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff07:307a::/32 | ff07:307a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff07:307b::/32 | ff07:307b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff07:307c::/32 | ff07:307c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff07:307d::/32 | ff07:307d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff07:307e::/32 | ff07:307e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff07:307f::/32 | ff07:307f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff07:3080::/32 | ff07:3080:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff07:3081::/32 | ff07:3081:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff07:3082::/32 | ff07:3082:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff07:3083::/32 | ff07:3083:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff07:3084::/32 | ff07:3084:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff07:3085::/32 | ff07:3085:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff07:3086::/32 | ff07:3086:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff07:3087::/32 | ff07:3087:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff07:3088::/32 | ff07:3088:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff07:3089::/32 | ff07:3089:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff07:308a::/32 | ff07:308a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff07:308b::/32 | ff07:308b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff07:308c::/32 | ff07:308c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff07:308d::/32 | ff07:308d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff07:308e::/32 | ff07:308e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff07:308f::/32 | ff07:308f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff07:3090::/32 | ff07:3090:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff07:3091::/32 | ff07:3091:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff07:3092::/32 | ff07:3092:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff07:3093::/32 | ff07:3093:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff07:3094::/32 | ff07:3094:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff07:3095::/32 | ff07:3095:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff07:3096::/32 | ff07:3096:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff07:3097::/32 | ff07:3097:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff07:3098::/32 | ff07:3098:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff07:3099::/32 | ff07:3099:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff07:309a::/32 | ff07:309a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff07:309b::/32 | ff07:309b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff07:309c::/32 | ff07:309c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff07:309d::/32 | ff07:309d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff07:309e::/32 | ff07:309e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff07:309f::/32 | ff07:309f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff07:30a0::/32 | ff07:30a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff07:30a1::/32 | ff07:30a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff07:30a2::/32 | ff07:30a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff07:30a3::/32 | ff07:30a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff07:30a4::/32 | ff07:30a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff07:30a5::/32 | ff07:30a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff07:30a6::/32 | ff07:30a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff07:30a7::/32 | ff07:30a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff07:30a8::/32 | ff07:30a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff07:30a9::/32 | ff07:30a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff07:30aa::/32 | ff07:30aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff07:30ab::/32 | ff07:30ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff07:30ac::/32 | ff07:30ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff07:30ad::/32 | ff07:30ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff07:30ae::/32 | ff07:30ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff07:30af::/32 | ff07:30af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff07:30b0::/32 | ff07:30b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff07:30b1::/32 | ff07:30b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff07:30b2::/32 | ff07:30b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff07:30b3::/32 | ff07:30b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff07:30b4::/32 | ff07:30b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff07:30b5::/32 | ff07:30b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff07:30b6::/32 | ff07:30b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff07:30b7::/32 | ff07:30b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff07:30b8::/32 | ff07:30b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff07:30b9::/32 | ff07:30b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff07:30ba::/32 | ff07:30ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff07:30bb::/32 | ff07:30bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff07:30bc::/32 | ff07:30bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff07:30bd::/32 | ff07:30bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff07:30be::/32 | ff07:30be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff07:30bf::/32 | ff07:30bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff07:30c0::/32 | ff07:30c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff07:30c1::/32 | ff07:30c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff07:30c2::/32 | ff07:30c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff07:30c3::/32 | ff07:30c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff07:30c4::/32 | ff07:30c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff07:30c5::/32 | ff07:30c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff07:30c6::/32 | ff07:30c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff07:30c7::/32 | ff07:30c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff07:30c8::/32 | ff07:30c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff07:30c9::/32 | ff07:30c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff07:30ca::/32 | ff07:30ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff07:30cb::/32 | ff07:30cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff07:30cc::/32 | ff07:30cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff07:30cd::/32 | ff07:30cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff07:30ce::/32 | ff07:30ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff07:30cf::/32 | ff07:30cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff07:30d0::/32 | ff07:30d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff07:30d1::/32 | ff07:30d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff07:30d2::/32 | ff07:30d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff07:30d3::/32 | ff07:30d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff07:30d4::/32 | ff07:30d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff07:30d5::/32 | ff07:30d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff07:30d6::/32 | ff07:30d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff07:30d7::/32 | ff07:30d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff07:30d8::/32 | ff07:30d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff07:30d9::/32 | ff07:30d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff07:30da::/32 | ff07:30da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff07:30db::/32 | ff07:30db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff07:30dc::/32 | ff07:30dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff07:30dd::/32 | ff07:30dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff07:30de::/32 | ff07:30de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff07:30df::/32 | ff07:30df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff07:30e0::/32 | ff07:30e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff07:30e1::/32 | ff07:30e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff07:30e2::/32 | ff07:30e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff07:30e3::/32 | ff07:30e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff07:30e4::/32 | ff07:30e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff07:30e5::/32 | ff07:30e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff07:30e6::/32 | ff07:30e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff07:30e7::/32 | ff07:30e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff07:30e8::/32 | ff07:30e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff07:30e9::/32 | ff07:30e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff07:30ea::/32 | ff07:30ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff07:30eb::/32 | ff07:30eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff07:30ec::/32 | ff07:30ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff07:30ed::/32 | ff07:30ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff07:30ee::/32 | ff07:30ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff07:30ef::/32 | ff07:30ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff07:30f0::/32 | ff07:30f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff07:30f1::/32 | ff07:30f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff07:30f2::/32 | ff07:30f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff07:30f3::/32 | ff07:30f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff07:30f4::/32 | ff07:30f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff07:30f5::/32 | ff07:30f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff07:30f6::/32 | ff07:30f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff07:30f7::/32 | ff07:30f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff07:30f8::/32 | ff07:30f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff07:30f9::/32 | ff07:30f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff07:30fa::/32 | ff07:30fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff07:30fb::/32 | ff07:30fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff07:30fc::/32 | ff07:30fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff07:30fd::/32 | ff07:30fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff07:30fe::/32 | ff07:30fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff07:30ff::/32 | ff07:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |